WBEM Control

The WBEM Control allows you to configure Windows Management repository backups, enable logging, and configure logging.

To open the WBEM Control

  1. Navigate to the wbem folder. This folder is inside the System32 folder, which is inside the WINNT folder (for example: C:\WINNT\System32\wbem\).
  2. Double-click the application icon wbemctl.exe.

The WBEM Control dialog box appears.


Repository Backups

To set Windows Management repository backup attempts

  1. In the Time between Repository Backup Attempts box, type the period of time (in minutes) you want Windows Management to wait between performing backups.

    2. Note

    • Backup intervals must be integer values between 10 and 60 minutes.
  2. Click Apply to save changed information and remain in the WBEM Control.

    —or—

    Click OK to save changed information and close the WBEM Control.

Changes to backup settings take effect immediately.


Logging

The WBEM Control supports two types of logging; Error and Verbose. Use verbose when you want logged messages displayed as English text rather than as concise (but cryptic) codes.

Note

  • It is recommended that you include log files when reporting issues with this release (see the WBEM Feedback and Issues Reporting Form, Wbemrpt.txt, in the documentation directory).

To configure logging

  1. Open the WBEM Control by running wbemcpl.exe from either Explorer or a command prompt.
  2. In the Logging Status group box, click either Error Logging or Verbose Logging.
  3. Click either OK or Apply.
  4. Stop Windows Management, then restart it.

To disable logging

  1. Open the WBEM Control by running wbemcpl.exe from either Explorer or a command prompt.
  2. In the Logging Status group box, click Disable Logging.
  3. Click either OK or Apply.
  4. Stop Windows Management, then restart it.

The log files appear in the subdirectory specified in the WBEM Control dialog box. By default the files are in:

C:\WINNT\System32\WBEM\Logs | Windows 2000
C:\Windows\System\WBEM\Logs | Windows 9x

Note

  • Changes you make to the logging settings will take a moment to take effect.


Service Restart (Win9x only)

The WBEM Control provides three Winmgmt startup options for Win9x systems.

Note

  • This group appears dimmed on Windows 2000 systems.

Winmgmt startup options

Option | Description
Don't Restart | Winmgmt will not restart automatically after a system reboot. Winmgmt restarts only when a local client requests it.
Auto Restart if Event Subsystem Needs it | Winmgmt restarts automatically after a system reboot, but only if the event subsystem needs it.
Always Auto Restart | Winmgmt restarts automatically after a system reboot. No active client or event subsystem need be present.

To set one of the three Winmgmt restart options

  1. Open the WBEM Control by running wbemcpl.exe from explorer or a command prompt.
  2. In the Service Restart group box, click either Don't Restart, Auto Restart if Event Subsystem Needs it, or Always Auto Restart.
  3. Click either OK or Apply.
  4. Stop Windows Management, then restart it.

The WBEM Control dialog box will show the Service Restart group box enabled.